Arvados - Bug #12465

[crunchv2] Improve crunch-run environment reporting
10/19/2017 01:50 PM - Peter Amstutz

Status: New Start date:

Priority: Normal Due date:

Assigned To: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Crunch-run should log its environment earlier in the startup process (before loading the Docker image or creating arv-mount)

It should also log some additional information:

e crunch-run version

¢ Docker version

¢ arv-mount version

¢ cloud instance id (/var/tmp/arv-node-data/meta-data/instance-id)

¢ cloud instance type (/var/tmp/arv-node-data/meta-data/instance-type)

Related issues:
Related to Arvados - Bug #12933: [crunch2] add equivalent of cloud_node line Resolved 01/11/2018

History

#1 - 10/19/2017 01:53 PM - Peter Amstutz
- Description updated

#2 - 10/19/2017 02:36 PM - Peter Amstutz
- Description updated

#3 - 10/26/2017 09:18 PM - Tom Morris

- Target version set to To Be Groomed

Crunch v1 logs the following information:

runtime_constraints {"min_ram_mb_per_node":10000, "max_tasks_per_node":0,"min_cores_per_node":2, "docker_image"
:"foo/bar","min_scratch_mb_per_node":51024}

computel46 clustr-T7ekkf-fel2d0Onlvw3xadb

{"total_scratch_mb":102345, "total_ram mb":14011, "total_cpu_cores":2,"cloud_node":{"price":0.149,"size":"Stand
ard_D11_v2"}}

We should make sure that the Crunch v2 information is a superset of that (and Ideally in a compatible format)

#4 - 10/26/2017 10:00 PM - Tom Morris

While we're at it, we should fix the formatting of the existing logging. For example, the missing spaces after the "node-info" prefixes here:
2017-10-26T15:11:40.858866900Z Docker response: {"stream":"Loaded image ID: sha256:bf3a9%0d0230a9£581d5a5c8£781
6a529e9b84da644766b790d926b7594£d52e4\n" }

2017-10-26T15:12:07.853864200Z Creating Docker container

node-infoHost Information

node-info Linux compute26.su92l.arvadosapi.com 4.10.0-37-generic #41~16.04.1-Ubuntu SMP Fri Oct 6 22:42:59 UT
C 2017 x86_64 x86_64 x86_64 GNU/Linux

node-info
node-infoCPU Information

#5 - 11/29/2017 07:21 PM - Tom Morris
- Target version changed from To Be Groomed to 2017-12-20 Sprint

#6 - 12/06/2017 08:18 PM - Peter Amstutz

- Assigned To set to Peter Amstutz
#7 - 12/06/2017 08:35 PM - Peter Amstutz
- Assigned To deleted (Peter Amstutz)

- Target version changed from 2017-12-20 Sprint to Arvados Future Sprints

#8 - 01/10/2018 03:31 PM - Peter Amstutz
- Related to Bug #12933: [crunch2] add equivalent of cloud _node line added

#9 - 07/06/2021 09:16 PM - Peter Amstutz

- Target version deleted (Arvados Future Sprints)
